Subject: Re: bug#22145: 25.0.50; tramp and auto-revert tests hang on OS X

From: Anders Lindgren <[email-masked]>
Date: Sun, 20 Dec 2015 16:38:48 +0100

>
> > I get:
> >
> > -bash: test: too many arguments
> > -bash: test: too many arguments
>
> Hmm. This is unexpected. And Tramp would see such errors; it is trained
> to detect failed commands. Maybe a cut'n'paste error?
>

Could be. Could you send the commands in an attachment.

> I didn't see any beeps in the output (I even checked with "od -a").
> >
> > OS X Yosemite comes with bash 3.2.57 (from 2007) -- so it might not be
> > up to speed when it comes to parsing the command line with odd
> > characters. (Just a theory, but I thought it would be worth pointing
> > it out.)
>
> So maybe another ls is used than the one I check? Since I have no OS X
> machine, I read the man page at
> <
> https://developer.apple.com/library/mac/documentation/Darwin/Reference/ManPages/man1/ls.1.html
> >.
>
> Does your ls behaves like this? The "-w" option is important.
>

It does have the -w option, but I don't really know what to look for.
Anyway, it's hard to test as it defaults to using -w when the output isn't
a terminal.

Anyway, I've attached the output of using "ls" on some UTF-8 characters.

    -- Anders